// ----------------------------------------------------------------------------
// markItUp!
// ----------------------------------------------------------------------------
// Copyright (C) 2008 Jay Salvat
// http://markitup.jaysalvat.com/
// ----------------------------------------------------------------------------
// Html tags
// http://en.wikipedia.org/wiki/html
// ----------------------------------------------------------------------------
// Basic set. Feel free to add more tags
// ----------------------------------------------------------------------------
mySettings = {
	onShiftEnter:	{keepDefault:false, replaceWith:'<br />\n'},
	onCtrlEnter:	{keepDefault:false, openWith:'\n<p>', closeWith:'</p>\n'},
	onTab:			{keepDefault:false, openWith:'	 '},
	markupSet: [
		{name:'Heading 1', className:'button_h1', key:'1', openWith:'<h1(!( class="[![Class]!]")!)>', closeWith:'</h1>', placeHolder:'Your title here...' },
		{name:'Heading 2', className:'button_h2', key:'2', openWith:'<h2(!( class="[![Class]!]")!)>', closeWith:'</h2>', placeHolder:'Your title here...' },
		{name:'Heading 3', className:'button_h3', key:'3', openWith:'<h3(!( class="[![Class]!]")!)>', closeWith:'</h3>', placeHolder:'Your title here...' },
		{name:'Heading 4', className:'button_h4', key:'4', openWith:'<h4(!( class="[![Class]!]")!)>', closeWith:'</h4>', placeHolder:'Your title here...' },
		{name:'Heading 5', className:'button_h5', key:'5', openWith:'<h5(!( class="[![Class]!]")!)>', closeWith:'</h5>', placeHolder:'Your title here...' },
		{name:'Heading 6', className:'button_h6', key:'6', openWith:'<h6(!( class="[![Class]!]")!)>', closeWith:'</h6>', placeHolder:'Your title here...' },
		// {name:'Paragraph', className:'button_p', openWith:'<p(!( class="[![Class]!]")!)>', closeWith:'</p>'  },
		{separator:'---------------' },
		{name:'Bold', className:'button_b', key:'B', openWith:'(!(<strong>|!|<b>)!)', closeWith:'(!(</strong>|!|</b>)!)' },
		{name:'Italic', className:'button_i', key:'I', openWith:'(!(<em>|!|<i>)!)', closeWith:'(!(</em>|!|</i>)!)' },
		{name:'Underline', className:'button_u', key:'U', openWith:'(!(<ins>|!|<u>)!)', closeWith:'(!(</ins>|!|</u>)!)' },
		{name:'Stroke through', className:'button_t', key:'T', openWith:'<del>', closeWith:'</del>' },
		{separator:'---------------' },
		{name:'Ul', className:'button_ul', openWith:'<ul>\n', closeWith:'</ul>\n' },
		{name:'Ol', className:'button_ol', openWith:'<ol>\n', closeWith:'</ol>\n' },
		{name:'Li', className:'button_li', openWith:'<li>', closeWith:'</li>' },
		{separator:'---------------' },
		{name:'Code', className:'button_code', openWith:'<code>', closeWith:'</code>' },
		{name:'Pre', className:'button_pre', openWith:'<pre>\n', closeWith:'</pre>\n' },
		{separator:'---------------' },
		{name:'Picture', className:'button_img', key:'P', replaceWith:'<img src="[![Source:!:http://]!]" alt="[![Alternative text]!]" />' },
		{name:'Link', className:'button_link', key:'L', openWith:'<a href="[![Link:!:http://]!]"(!( title="[![Title]!]")!)>', closeWith:'</a>', placeHolder:'Your text to link...' },
		{separator:'---------------' },
		{name:'Cut', className:'button_cut', replaceWith:'<cut />' },
		{separator:'---------------' },
		{name:'Clean', className:'clean', replaceWith:function(markitup) { return markitup.selection.replace(/<(.*?)>/g, "") } }
		// {name:'Preview', className:'preview', call:'preview' }
	]
}